Appearance
Get National ID Verification Requests Details.
Endpoint for getting details of a specific ID Verification request by unique id.
Endpoints
| Environment | URL |
|---|---|
| Sandbox | https://api-test.streamline.laboremus.ug/idv/api/requests/{id}?v=2.0 |
| Production | https://api.streamline.laboremus.ug/idv/api/requests/{id}?v=2.0 |
Request
Request Type : GET
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string(uuid) | yes | The Unique ID of the id verification request |
Header Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| x-version | string | no | The API Version |
| Bearer | string(JwtToken) | no | The Token required for authorization |
Response
Result Values
| Name | Type | Description |
|---|---|---|
| id | string (uuid) | The unique id for the request |
| initiator | string or null | The names for the request initiator |
| initiatorId | string or null | The unique id for the request initiator |
| initiatorEmail | string or null | The API consumer for user that initiated the request |
| participantId | string (uuid) | The unique id for the participant that initiated the request |
| receivedAt | string or null (date-time) | Date the request was created |
| submittedAt | string or null (date-time) | Date the request was submitted to NIRA |
| receivedFromNira | string or null (date-time) | Date the response was received from NIRA |
| requestStatus | string (Enum: Pending, Completed, Failed) | The stage of processing at which the request is |
| surname | string or null | Surname on the card that was verified |
| givenNames | string or null | Given names on the card that was verified |
| otherNames | string or null | Other names on the card that was verified |
| cardNumber | string or null | ID card number on the card that was verified |
| maskedCardNumber | string or null | Masked ID Card number on the card that was verified |
| nin | string or null | National Identification Number on the card that was verified |
| maskedNin | string or null | Masked National Identification Number on the card that was verified |
| multipleReferenceId | string or null (uuid) | ID to show multiple requests |
| dateOfBirth | string(date) | Date of birth on the card that was verified |
| resultJson | object | The response from Registration Authority based on the card details provided |
resultJson: Uganda
| Name | Type | Description |
|---|---|---|
| matchingStatus | boolean | Whether the card details matched those at NIRA |
| cardStatus | string or null | Whether the card is valid or not. |
| status | string or null | The NIN request status as returned from NIRA |
| error | object | Error from NIRA. When isError is false, its null |
| isError | boolean | When true, it means that NIRA found an error with the request. See for more information. |
| ninStatus | string or null | The Nin status field for the request |
resultJson: Kenya
| Name | Type | Description |
|---|---|---|
| matchingStatus | boolean | Whether the card details are matching |
| cardStatus | string or null | Whether the card is valid together with the serial number. |
| status | string or null | The NIN request status as returned from NIRA |
| error | object | Error from NRA. When isError is false, its null |
| isError | boolean | When true, it means that NRA found an error with the request. See for more information. |
| ninStatus | string or null | The Nin status field for the request |
| firstname | string | Surname of the card that verified. |
| lastname | string | Givenname of the card that was verified. |
| othername | string | Othername on the card that was verified. |
| Fullname | string | Full name on the card that was verified. |
| gender | string | Gender from the card that was verified. |
| dateofbirth | string | dob from NRA that was registered. |
| ciizenship | string | the country where the nationalid was registered from. |
| idNumber | string | the card number on the card that was verified. |
| serialnumber | string | the number on the card that was verified. |
error
| Name | Type | Description |
|---|---|---|
| code | string or null | The code of the error returned |
| message | string or null | The message of the error returned |
Example Response Body: Uganda
Content type
application/json
json
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"initiator": "string",
"initiatorId": "b631b8d8-c217-4b56-82fc-36ea91cf342a",
"initiatorEmail": "string",
"participantId": "9f6624b5-5f99-42b6-899f-30f2b369cbd7",
"receivedAt": "2019-08-24T14:15:22Z",
"submittedAt": "2019-08-24T14:15:22Z",
"receivedFromNira": "2019-08-24T14:15:22Z",
"requestStatus": "Pending",
"surname": "string",
"givenNames": "string",
"otherNames": "string",
"cardNumber": "string",
"maskedCardNumber": "string",
"nin": "string",
"maskedNin": "string",
"multipleReferenceId": "d2df34d1-f938-4240-9d1b-a11677d881e0",
"dateOfBirth": "2019-08-24",
"resultJson": {
"matchingStatus": true,
"cardStatus": "string",
"status": "string",
"error": {
"code": "string",
"message": "string"
},
"isError": true,
"ninStatus": "string"
}
}{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"initiator": "string",
"initiatorId": "b631b8d8-c217-4b56-82fc-36ea91cf342a",
"initiatorEmail": "string",
"participantId": "9f6624b5-5f99-42b6-899f-30f2b369cbd7",
"receivedAt": "2019-08-24T14:15:22Z",
"submittedAt": "2019-08-24T14:15:22Z",
"receivedFromNira": "2019-08-24T14:15:22Z",
"requestStatus": "Pending",
"surname": "string",
"givenNames": "string",
"otherNames": "string",
"cardNumber": "string",
"maskedCardNumber": "string",
"nin": "string",
"maskedNin": "string",
"multipleReferenceId": "d2df34d1-f938-4240-9d1b-a11677d881e0",
"dateOfBirth": "2019-08-24",
"resultJson": {
"matchingStatus": true,
"cardStatus": "string",
"status": "string",
"error": {
"code": "string",
"message": "string"
},
"isError": true,
"ninStatus": "string"
}
}Example Response Body: Kenya
Content type
application/json
json
{
"id": "019fdb0d-8ef7-7704-89b3-b63975459c39",
"initiator": null,
"initiatorId": "5fe1c893-c76a-4c41-981c-60f7175031c5",
"initiatorEmail": null,
"participantId": null,
"receivedAt": "2026-08-07T10:08:46.70893",
"submittedAt": "2026-08-07T10:08:49.293793",
"receivedFromNira": "2026-08-07T10:08:49.293793",
"requestStatus": "Completed",
"surname": "JOHN",
"givenNames": "DOE",
"otherNames": "",
"cardNumber": "701085650",
"maskedCardNumber": "70108****",
"nin": "29708450",
"maskedNin": "297084**",
"multipleReferenceId": null,
"dateOfBirth": "1992-11-09T00:00:00Z",
"resultJson": {
"matchingStatus": true,
"cardStatus": null,
"status": null,
"error": null,
"isError": false,
"ninStatus": null,
"firstName": "",
"lastName": "",
"otherName": "",
"fullName": "",
"gender": "MALE",
"dob": "1992-11-09T00:00:00Z",
"citizenship": "Kenyan",
"idNumber": "",
"serialNo": ""
}
}{
"id": "019fdb0d-8ef7-7704-89b3-b63975459c39",
"initiator": null,
"initiatorId": "5fe1c893-c76a-4c41-981c-60f7175031c5",
"initiatorEmail": null,
"participantId": null,
"receivedAt": "2026-08-07T10:08:46.70893",
"submittedAt": "2026-08-07T10:08:49.293793",
"receivedFromNira": "2026-08-07T10:08:49.293793",
"requestStatus": "Completed",
"surname": "JOHN",
"givenNames": "DOE",
"otherNames": "",
"cardNumber": "701085650",
"maskedCardNumber": "70108****",
"nin": "29708450",
"maskedNin": "297084**",
"multipleReferenceId": null,
"dateOfBirth": "1992-11-09T00:00:00Z",
"resultJson": {
"matchingStatus": true,
"cardStatus": null,
"status": null,
"error": null,
"isError": false,
"ninStatus": null,
"firstName": "",
"lastName": "",
"otherName": "",
"fullName": "",
"gender": "MALE",
"dob": "1992-11-09T00:00:00Z",
"citizenship": "Kenyan",
"idNumber": "",
"serialNo": ""
}
}Error Response
400 The request data is invalid
application/json
| Name | Type | Description |
|---|---|---|
| type | string or null | Type of error response |
| title | string or null | The title of the error response |
| status | integer(int32) | The status of the error response |
| traceId | string or null | The traceId of the error request producing the error |
| errors | object | Object defining the errors |
errors
| Name | Type | Description |
|---|---|---|
| property | Array of strings | The definition of the errors |
401 Not authorized to access the endpoint
application/json
| Name | Type | Description |
|---|---|---|
| error | object(Error) | Type of error response |
Error
| Name | Type | Description |
|---|---|---|
| code | string or null | The Error code |
| message | string or null | The Error message |
403 Refuse to authorize access to the endpoint
application/json
| Name | Type | Description |
|---|---|---|
| error | object(Error) | Type of error response |
Error
| Name | Type | Description |
|---|---|---|
| code | string or null | The Error code |
| message | string or null | The Error message |
404 Request does not exist
application/json
| Name | Type | Description |
|---|---|---|
| error | object(Error) | Type of error response |
Error
| Name | Type | Description |
|---|---|---|
| code | string or null | The Error code |
| message | string or null | The Error message |
500 The server encountered an unexpected error
application/json
| Name | Type | Description |
|---|---|---|
| error | object(Error) | Type of error response |
Error
| Name | Type | Description |
|---|---|---|
| code | string or null | The Error code |
| message | string or null | The Error message |